Bug 222959 - Review Request: smolt - Fedora Hardware Profiler
Review Request: smolt - Fedora Hardware Profiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-16 22:33 EST by Mike McGrath
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 14:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2007-01-16 22:33:57 EST
Spec URL: http://mmcgrath.net/~mmcgrath/smolt/smolt.spec
SRPM URL: http://mmcgrath.net/~mmcgrath/smolt/smolt-0.2-1.src.rpm
Description: 

The Fedora hardware profiler is a server-client system that does a hardware
scan against a machine and sends the results to a server to a Fedora Project
turbogears server.  The sends are anonymous and should not contain any private
information other than the physical hardware information and basic OS info.
Comment 1 Mike McGrath 2007-01-18 10:57:15 EST
Spec URL: http://mmcgrath.net/~mmcgrath/smolt/smolt.spec
SRPM URL: http://mmcgrath.net/~mmcgrath/smolt/smolt-0.3-1.src.rpm

Upstream (me) released new version
Comment 2 Jeffrey C. Ollie 2007-01-18 14:41:54 EST
* source files match upstream (but see below)

$ md5sum smolt-0.3.tar.gz\?format\=raw sources/smolt-0.3.tar.gz 
ec06dc7c2f680bb8b433153e9ce33a25  smolt-0.3.tar.gz?format=raw
ec06dc7c2f680bb8b433153e9ce33a25  sources/smolt-0.3.tar.gz

$ sha1sum smolt-0.3.tar.gz\?format\=raw sources/smolt-0.3.tar.gz 
b8c3162714ca5631bc5104635e86e8d7c7cebb62  smolt-0.3.tar.gz?format=raw
b8c3162714ca5631bc5104635e86e8d7c7cebb62  sources/smolt-0.3.tar.gz

* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (fc6 i386).
* package installs properly. 
* rpmlint says:

E: smolt no-cleaning-of-buildroot %install

%install needs to start with "rm -rf %{buildroot}"

W: smolt no-%build-section

Please add, even if it's empty.

E: smolt non-executable-script /usr/share/smolt/client/reboot.py 0644
E: smolt non-executable-script /usr/share/smolt/client/systemid.py 0644
E: smolt non-executable-script /usr/share/smolt/client/errata.py 0644

This is because there's "#!/usr/bin/python" lines in the files.  They
can either be dealt with in the .spec file with something like this:

%{__sed} -i -e '/^#!/,1d'

or since you are the upstream it's probably better to make the change there
and release a new version.

E: smolt zero-length /etc/sysconfig/hw-uuid

It would probably be better to mark this as %ghost

W: smolt-server no-documentation

When you write some documentation you can add it ;).  Until then we
can ignore...

* %check is not present; There is no test code in the distribution.
* no shared libraries are present
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers
* no unversioned .so file
* no pkconfig file
* no libtool .la droppings.

Needs fixing:

* I'd recommend <https://hosted.fedoraproject.org/projects/smolt> for
  the URL rather than a pointer to the main project page.

* The URL specified for the source doesn't work directly, instead this
  is the URL that gets you the actual package.  Unfortunately that
  won't work for the source line. 

https://hosted.fedoraproject.org/projects/smolt/attachment/wiki/WikiStart/smolt-0.3.tar.gz?format=raw

* smolt package needs to Require wget

* I would recommend a slight modification to the %post script:

if ! -s %{_sysconfdir}/sysconfig/hw-uuid
then
    /bin/cat /proc/sys/kernel/random/uuid > %{_sysconfdir}/sysconfig/hw-uuid
    /bin/chmod 0644 %{_sysconfdir}/sysconfig/hw-uuid
    /bin/chown root:root %{_sysconfdir}/sysconfig/hw-uuid
fi
Comment 3 Mike McGrath 2007-01-18 15:22:06 EST
Spec URL: http://mmcgrath.net/~mmcgrath/smolt/smolt.spec
SRPM URL: http://mmcgrath.net/~mmcgrath/smolt/smolt-0.4-1.src.rpm

- New upstream version
- Altered post install section
- Added wget requires
Comment 4 Jeffrey C. Ollie 2007-01-18 16:25:17 EST
OK, rpmlint says this:

W: smolt dangerous-command-in-%post chmod
W: smolt-server no-documentation

I think that both of those can be ignored.  The only remaining issue is the URL
of the tarball.  The URL in the source tag didn't change but I don't see the
tarball up on the smolt trac wiki.
Comment 5 Mike McGrath 2007-01-18 16:32:59 EST
I've uploaded the URL to hosted.  Do I need to find raw-hosting space to get it
into extras or will this do?
Comment 6 Jeffrey C. Ollie 2007-01-18 17:06:40 EST
Put some documentation in the .spec file about the problem until the Fedora
hosted project gets it's raw webspace figured out.  You can do that after/before
import.   Now that the tarball is available somewhere I'll mark this as APPROVED.
Comment 7 Mike McGrath 2007-01-19 14:37:02 EST
Thanks for the quick response.  This is imported and build.  Should be on the
mirrors soon.
Comment 8 Jeffrey C. Ollie 2007-03-13 11:45:23 EDT
Please add jeff@ocjtech.us as co-owner.

Note You need to log in before you can comment on or make changes to this bug.